/*
  Widge Name: eBayWatcher, v3.0.1
  (c) 2005 Hawk Innovations
*/

function getElm(id)
{
	return document.getElementById(id);
}

// remove weird characters
function trim(x)
{
	return x.replace(/[^A-Z,^0-9,^a-z,^$,^.,^\x20, ^]+/g, '');
}

function fixPrice(x)
{
	var y = convertBR2BIN(x);
	y = trim(y);
	return (fixDollarSign(y));
}

function fixDollarSign(x)
{
	var z = x.replace(/[$]+/g, '\\$');
	var z = z.replace(/(pound)+/g, 'GBP ');
	var z = z.replace(/(euro)+/g, 'EUR ');
	return z;
}

function convertBR2BIN(x)
{
	return x.replace(/<br>/, 'Buy it Now: ');
}

function fixTitle(x)
{
	var y = x.replace(/[$]+/g, '\\$');
	y = y.replace(/["]+/g, '');
	return y;
}

function version(){
    var xmlReq = new XMLHttpRequest();
    xmlReq.open("GET", "Info.plist", false);
    xmlReq.send(null);
  
    var xml = xmlReq.responseXML;
    var keys = xml.getElementsByTagName("key");
    var ver = "0.0";

    for(i=0; i<keys.length; i++){
        if("CFBundleVersion" == keys[i].firstChild.data){
            ver = keys[i].nextSibling.nextSibling.firstChild.data;
            break;
        }
    }
    return ver;
}


function convertDate(x)
{
	var t = 0;
	if (x == "Ended" || x == "-" || x == "") return 0;  // 033106
	a = x.replace("  ", " ");  // uk site have an extra space
	a = a.split(" ");
	if (a[1] == "day" || a[1] == "days") {
		t = a[0]*24*60*60;
		if (a[3] == "hour" || a[3] == "hours")
			t += a[2]*60*60;	
	} else if (a[1] == "hour" || a[1] == "hours") {
		t = a[0]*60*60;
		if (a[3] == "min" || a[3] == "mins")
			t += a[2]*60;	
	} else if (a[1] == "min" || a[1] == "mins") {
		t = a[0]*60;
		if (a[3] == "sec" || a[3] == "secs")
			t += a[2]*1;
	} else if (a[1] == "sec" || a[1] == "secs")
		t = a[0]*1;
	return t;
}

function getLocalizedString (key)
{
	try {
		var ret = localizedStrings[key];
		if (ret == undefined)
			ret = key;
		return ret;
	} catch (ex) {}
	return key;
}

function convertTimeLeft(s)
{
	if (s == "PT0S") return "Ended";

	var t = "";
	var a, b;
	var day = 0;
        var hour = 0;
	var min = 0;
	var sec = 0; 

	a = s.split('T');
	ts = a[1];
	if (ts.indexOf('H') != -1) {
	   b = ts.split('H');
	   hour = b[0];
	   ts = b[1];
	}
	if (ts.indexOf('M') != -1) {
	   b = ts.split('M');
	   min = b[0];
	   ts = b[1];
	}
	if (ts.indexOf('S') != -1) {
	   b = ts.split('S');
	   sec = b[0];
	}	

	if (a[0] == 'P') { // no day
		if (hour > 0) {
			t = hour + ((hour == "1") ? " hour " : " hours ");
			if (min > 0) 
				t = t + min + ((min == "1") ? " min " : " mins ");
		} else {
			if (min > 0)
				t = min + ((min == "1") ? " min " : " mins ");
			t = t + sec + ((sec == "1") ? " sec" : " secs");
		}
		return t;
	}
	else {
	   day = a[0].substring(1, a[0].length-1);
	   t = day + ((day == "1") ? " day" : " days"); 
	   if (hour > 0) t = t + " " + hour + ((hour == "1") ? " hour" : " hours");

	   return t;
	}
}	

// convert eBay end time to local time
function convertEndTime(s)
{
// s="2001-12-14T11:37:20.000Z";
	var a, b;
	var year, month, day, time;
	a = s.split('T');
	b = a[0].split('-');
	year = b[0];
	month = b[1];
	day = b[2];
	b = a[1].split('.');
	time = b[0];

	var d = new Date(year+"/"+month+"/"+day+" "+time+ " GMT");
	var a = d.toLocaleString();

	if (a.indexOf('January') != -1) a = a.replace('January', 'Jan');
	else if (a.indexOf('February') != -1) a = a.replace('February', 'Feb');
	else if (a.indexOf('March') != -1) a = a.replace('March', 'Mar');
	else if (a.indexOf('April') != -1) a = a.replace('April', 'Apr');
	else if (a.indexOf('May') != -1) a = a.replace('May', 'May');
	else if (a.indexOf('June') != -1) a = a.replace('June', 'Jun');
	else if (a.indexOf('July') != -1) a = a.replace('July', 'Jul');
	else if (a.indexOf('August') != -1) a = a.replace('August', 'Aug');
	else if (a.indexOf('September') != -1) a = a.replace('October', 'Sep');
	else if (a.indexOf('October') != -1) a = a.replace('September', 'Oct');
	else if (a.indexOf('November') != -1) a = a.replace('November', 'Nov');
	else if (a.indexOf('December') != -1) a = a.replace('December', 'Dec');

	return a;
}

var currency = new Array();
currency['USD'] = '$'; //
currency['GBP'] = '&pound;'; // £
currency['EUR'] = '&euro;'; // €

function addSymbol(s)
{
	if (s == '-') return s;
	var a = s.split(' ');
	var b = a[1].split('.');
	if (b[1] == null) a[1] = a[1] + ".00";
	else if (b[1].length == 1) a[1] = a[1] + "0";
	try {
		var ret = currency[a[0]];
		if (ret == undefined) ret = a[0]+" ";
		return ret+a[1];
	} catch (ex) {}
	return a[0]+a[1];
}
